import { Config } from 'ts-json-schema-generator';
import { Plugin } from 'vite';

type IConfig = {
    /**
     * Import path suffix
     */
    suffix?: `?${string}`;
    /**
     * `false` - don't generate dts file;
     * `path as string` - generate by that path and name
     */
    dts?: string | boolean;
    /**
     * parser options
     * @see https://github.com/vega/ts-json-schema-generator#options
     */
    options?: Partial<Omit<Config, 'path' | 'type'>>;
};

declare function typeToSchema(config?: IConfig): Plugin;

export { typeToSchema as default };
